package PureMessage::Policy::Spam::ListManager_v4;

require PureMessage::List;

sub new {
    my ($class, %opts) = @_;
    my $preload = delete $opts{preload};
    my $self = bless { }, ref($class) || $class;
    for my $list (@$preload) {
	$self->{$list} = PureMessage::List->new($list);
    }
    $self;
}

sub is_multilist { 0 }

sub find_list {
    my ($self, $id) = @_;
    $self->{$id} ||= PureMessage::List->new($id);
}

sub refresh_lists {
    my $self = shift;
    $_->refresh for values %$self;
}

1;
