package PureMessage::Policy::Spam::Config::Genotype;

use strict;

sub validate {
    my ($pkg, $p) = @_;
    my %conf = (
	'cutoff'            => ['#int', undef],
    );
    for my $key (keys %conf) {
	my $path = "plugin#genotype.$key";
	my ($t, $d) = @{$conf{$key}};
	$p->typedecl($path, $t) if defined $t;
	$p->default($path,  $d) if defined $d;
    }
    $PureMessage::Policy::Spam::Config::attr{genotype} = {
	cutoff              => ['int', 'cutoff'],
    };
}

1;

